Skip to main content
POST
/
api
/
v1
/
public
/
products
/
{product_id}
/
pay
Pay Product
curl --request POST \
  --url https://api.hevn.finance/api/v1/public/products/{product_id}/pay \
  --header 'Content-Type: application/json' \
  --data '
{
  "originChain": "<string>",
  "originToken": "<string>"
}
'
{
  "quoteId": "<string>",
  "paymentChannel": "<string>",
  "fromAmount": 123,
  "fromCurrency": "<string>",
  "toAmount": 123,
  "toCurrency": "<string>",
  "provider": "<string>",
  "depositMemo": "<string>",
  "feeAmount": 123,
  "feeCurrency": "<string>",
  "rate": 123,
  "expiresAt": "2023-11-07T05:31:56Z",
  "maskedIban": "<string>",
  "depositAddress": "<string>",
  "recipientAddress": "<string>",
  "originChainId": "<string>",
  "destinationChainId": "<string>",
  "transactionRequest": {}
}

Path Parameters

product_id
string<uuid>
required

Body

application/json
originChain
string
required
originToken
string
required
amount
buyerEmail
string | null
memo
string | null
clientReferenceId
string | null
invoiceId
string<uuid> | null
metadata
Metadata · object

Response

Successful Response

Universal quote response.

quoteId
string
required
paymentChannel
string
required
fromAmount
number
required
fromCurrency
string
required
toAmount
number
required
toCurrency
string
required
provider
string | null
depositMemo
string | null
feeAmount
number | null
feeCurrency
string | null
rate
number | null
expiresAt
string<date-time> | null
maskedIban
string | null
depositAddress
string | null
recipientAddress
string | null
originChainId
string | null
destinationChainId
string | null
transactionRequest
Transactionrequest · object